ApiReplicationScheduleListLimits (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiReplicationScheduleListLimits

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiReplicationScheduleListLimits

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiReplicationScheduleListLimits
      extends Object

  This class encapsulates the data limits that we want to put on ApiReplicationSchedule to avoid potential OOME. It is currently used when archiving replication history. Available since v11.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiReplicationScheduleListLimits()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getMaxCommandsPerSchedule()`
    `BigDecimal` | `getMaxErrorsPerResult()`
    `BigDecimal` | `getMaxSchedulesPerList()`
    `BigDecimal` | `getMaxTablesPerResult()`
    `int` | `hashCode()`
    `ApiReplicationScheduleListLimits` | `maxCommandsPerSchedule(BigDecimal maxCommandsPerSchedule)`
    `ApiReplicationScheduleListLimits` | `maxErrorsPerResult(BigDecimal maxErrorsPerResult)`
    `ApiReplicationScheduleListLimits` | `maxSchedulesPerList(BigDecimal maxSchedulesPerList)`
    `ApiReplicationScheduleListLimits` | `maxTablesPerResult(BigDecimal maxTablesPerResult)`
    `void` | `setMaxCommandsPerSchedule(BigDecimal maxCommandsPerSchedule)`
    `void` | `setMaxErrorsPerResult(BigDecimal maxErrorsPerResult)`
    `void` | `setMaxSchedulesPerList(BigDecimal maxSchedulesPerList)`
    `void` | `setMaxTablesPerResult(BigDecimal maxTablesPerResult)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiReplicationScheduleListLimits

          public ApiReplicationScheduleListLimits()

  - ### Method Detail

    - #### maxCommandsPerSchedule

          public ApiReplicationScheduleListLimits maxCommandsPerSchedule(BigDecimal maxCommandsPerSchedule)

    - #### getMaxCommandsPerSchedule

          public BigDecimal getMaxCommandsPerSchedule()

      Returns:
        maxCommandsPerSchedule

    - #### setMaxCommandsPerSchedule

          public void setMaxCommandsPerSchedule(BigDecimal maxCommandsPerSchedule)

    - #### maxTablesPerResult

          public ApiReplicationScheduleListLimits maxTablesPerResult(BigDecimal maxTablesPerResult)

    - #### getMaxTablesPerResult

          public BigDecimal getMaxTablesPerResult()

      Returns:
        maxTablesPerResult

    - #### setMaxTablesPerResult

          public void setMaxTablesPerResult(BigDecimal maxTablesPerResult)

    - #### maxErrorsPerResult

          public ApiReplicationScheduleListLimits maxErrorsPerResult(BigDecimal maxErrorsPerResult)

    - #### getMaxErrorsPerResult

          public BigDecimal getMaxErrorsPerResult()

      Returns:
        maxErrorsPerResult

    - #### setMaxErrorsPerResult

          public void setMaxErrorsPerResult(BigDecimal maxErrorsPerResult)

    - #### maxSchedulesPerList

          public ApiReplicationScheduleListLimits maxSchedulesPerList(BigDecimal maxSchedulesPerList)

    - #### getMaxSchedulesPerList

          public BigDecimal getMaxSchedulesPerList()

      Returns:
        maxSchedulesPerList

    - #### setMaxSchedulesPerList

          public void setMaxSchedulesPerList(BigDecimal maxSchedulesPerList)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.